Terp Network Docs
APIsRpcTx
GET
/broadcast_tx

This method blocks until CheckTx returns and reports its result, but does not wait for the transaction to be included in a block. To know when the transaction is included in a block, check for the transaction event using JSON-RPC. See https://docs.tendermint.com/master/app-dev/subscribing-to-events-via-websocket.html

See https://docs.tendermint.com/master/tendermint-core/using-tendermint.html#formatting for formatting/encoding rules.

Query Parameters

tx*string

The transaction

Response Body

application/json

application/json

curl -X GET "https://rpc.terp.network/broadcast_tx?tx=456"
{
  "jsonrpc": "2.0",
  "id": 0,
  "result": {
    "code": "0",
    "data": "",
    "log": "",
    "codespace": "ibc",
    "hash": "0D33F2F03A5234F38706E43004489E061AC40A2E"
  },
  "error": ""
}
{
  "id": 0,
  "jsonrpc": "2.0",
  "error": "Description of failure"
}